#ifndef X11Interface_h
#define X11Interface_h
// $Id: X11Interface.h,v 1.1 2013/05/06 10:34:07 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QIcon>

class X11Interface: public Counter
{

    public:

    //! constructor
    X11Interface( void ):
        Counter( "X11Interface" )
    {}

    //! destructor
    virtual ~X11Interface( void )
    {}

    //! find pixmaps for a given set of jobs
    QIcon findIcon( qint64 ) const;

    protected:

    //! find pixmaps, starting from window [recursive]
    QIcon _findIcon( WId, qint64 ) const;

    //! find icon for a given window
    QIcon _icon( WId ) const;

};

#endif
